
package test.runtime;
import ovm.core.services.threads.OVMThreadCoreImpl;
import test.common.TestBase;
/**
 * Test the basic creation process of the OVMThread core implementation. This
 * only tests construction of the context etc, it doesn't test that the value
 * is right.
 * @author David Holmes
 */
public class TestCreateOVMThread extends TestBase {

    public TestCreateOVMThread() {
        super("Core OVMThread Creation");
    }

    public void run() {
        OVMThreadCoreImpl t = new OVMThreadCoreImpl() {
            public void doRun() {
                p("You shouldn't see this");
            }
        };
        t.getContext().destroy(); // tidy up
    }
}
